"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""
from typing import Dict


async def get_all(
    hub,
    ctx,
    assessment_id: str,
    control_set_id: str = None,
    control_id: str = None,
    next_token: str = None,
    max_results: int = None,
) -> Dict:
    r"""
    **Autogenerated function**

     Returns a list of changelogs from Audit Manager.

    Args:
        assessment_id(str):  The identifier for the specified assessment. .
        control_set_id(str, optional):  The identifier for the specified control set. . Defaults to None.
        control_id(str, optional):  The identifier for the specified control. . Defaults to None.
        next_token(str, optional):  The pagination token used to fetch the next set of results. . Defaults to None.
        max_results(int, optional):  Represents the maximum number of results per page, or per API request call. . Defaults to None.

    Returns:
        Dict

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.aws_auto.auditmanager.change_log.get_all(ctx, assessment_id=value)

        Call from CLI:

        .. code-block:: bash

            $ idem exec aws_auto.auditmanager.change_log.get_all assessment_id=value
    """
    return await hub.tool.aws.client.exec(
        ctx,
        service_name="auditmanager",
        operation="get_change_logs",
        op_kwargs={
            "assessmentId": assessment_id,
            "controlSetId": control_set_id,
            "controlId": control_id,
            "nextToken": next_token,
            "maxResults": max_results,
        },
    )
