"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""
from typing import Dict
from typing import List


async def describe_all(hub, ctx, source_type: str = None, filters: List = None) -> Dict:
    r"""
    **Autogenerated function**

    Displays a list of categories for all event source types, or, if specified, for a specified source type.

    Args:
        source_type(str, optional): The type of source that is generating the events. Valid values: db-instance, db-parameter-group, db-security-group . Defaults to None.
        filters(List, optional): This parameter is not currently supported. Defaults to None.

    Returns:
        Dict

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.aws_auto.docdb.event.category.describe_all(ctx)

        Call from CLI:

        .. code-block:: bash

            $ idem exec aws_auto.docdb.event.category.describe_all
    """
    return await hub.tool.aws.client.exec(
        ctx,
        service_name="docdb",
        operation="describe_event_categories",
        op_kwargs={"SourceType": source_type, "Filters": filters},
    )
