"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""
from typing import Dict


async def get(hub, ctx, image_arn: str) -> Dict:
    r"""
    **Autogenerated function**

     Gets an image policy.

    Args:
        image_arn(str): The Amazon Resource Name (ARN) of the image whose policy you want to retrieve.

    Returns:
        Dict

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.aws_auto.imagebuilder.image.policy.get(ctx, image_arn=value)

        Call from CLI:

        .. code-block:: bash

            $ idem exec aws_auto.imagebuilder.image.policy.get image_arn=value
    """
    return await hub.tool.aws.client.exec(
        ctx,
        service_name="imagebuilder",
        operation="get_image_policy",
        op_kwargs={"imageArn": image_arn},
    )


async def put(hub, ctx, image_arn: str, policy: str) -> Dict:
    r"""
    **Autogenerated function**

    Applies a policy to an image. We recommend that you call the RAM API CreateResourceShare to share resources. If you call the Image Builder API PutImagePolicy, you must also call the RAM API PromoteResourceShareCreatedFromPolicy in order for the resource to be visible to all principals with whom the resource is shared.

    Args:
        image_arn(str): The Amazon Resource Name (ARN) of the image that this policy should be applied to.
        policy(str): The policy to apply.

    Returns:
        Dict

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.aws_auto.imagebuilder.image.policy.put(
                ctx, image_arn=value, policy=value
            )

        Call from CLI:

        .. code-block:: bash

            $ idem exec aws_auto.imagebuilder.image.policy.put image_arn=value, policy=value
    """
    return await hub.tool.aws.client.exec(
        ctx,
        service_name="imagebuilder",
        operation="put_image_policy",
        op_kwargs={"imageArn": image_arn, "policy": policy},
    )
